4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.InstallHtml

Classes: InstallHtml

## Classes

class InstallHtml(Ft.Lib.DistExt.InstallDocs.InstallDocs)

  ### Methods

  finalize_options(self)
    Overrides: finalize_options from class InstallDocs
  get_default_css(self)
    Returns a mapping of stylesheet names to their associated CSS.

        The CSS file is assumed to be relative to the stylesheet URI.

  get_default_stylesheets(self)
  get_output_filename(self, document)
  get_stylesheet_extras(self, stylesheet, base_uri)
    Overrides: get_stylesheet_extras from class InstallDocs

  ### Methods inherited from class Ft.Lib.DistExt.InstallDocs.InstallDocs

  copy_uri, get_documents, get_inputs, get_modification_time, get_outputs, get_source_files, get_stylesheet_obj, initialize_options, render_document, render_documents, run

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  command_name = 'install_html'
  description = 'install HTML documentation'
  output_extension = '.html'

  ### Members inherited from class Ft.Lib.DistExt.InstallDocs.InstallDocs

  boolean_options, user_options

  ### Members inherited from class distutils.cmd.Command

  sub_commands